Skip to main content
GET
/
v1beta
/
quota
TypeScript
import { Factify } from "@factify/sdk";

const factify = new Factify({
  bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});

async function run() {
  const result = await factify.usage.getOrganizationQuota({
    organizationId: "org_01h2xcejqtf2nbrexx3vqjhp41",
  });

  console.log(result);
}

run();
{
  "quota": {
    "current_usage": 123,
    "effective_limit": 123,
    "is_exceeded": true,
    "organization_id": "org_01h2xcejqtf2nbrexx3vqjhp41",
    "period_start": "2023-11-07T05:31:56Z",
    "remaining": 123,
    "reset_at": "2023-11-07T05:31:56Z",
    "tier": "QUOTA_TIER_UNSPECIFIED",
    "usage_percent": 123
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer , where is your auth token.

Query Parameters

organization_id
string

Optional: organization ID to query. If not provided, uses the caller's organization. Only admins can query other organizations.

Pattern: ^org_[0-9a-hjkmnp-tv-z]{26}$
Example:

"org_01h2xcejqtf2nbrexx3vqjhp41"

Response

Success

GetOrganizationQuotaResponse returns the quota status.

quota
quota · object

The organization's quota status.